// C18 V.3.40. BOLT 48 MHZ. MPLAB IDE V8.63
// The (. HEX) resulting from the compilation
// IS DIRECTLY COMPATIBLE WITH SOFTWARE
// BOOTLOADER FOR BOLT SYSTEM
// Writes to the LCD 16X1 ANY MESSAGE
// Number of characters (MAXIMUM 600)
// Must include 16 points before and 16 points
// After Message.
// WITH HORIZONTAL SCROLLING
// When created, MUST include in the project
// FILE "rm18f2550.lkr"


#include <p18cxxx.h>
#include <delays.h>
#include "18F2550BOLT.h"

extern void _startup( void ); 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

#pragma code
					                                                                                                    
const rom char wav[600]="................BOLT 18F2550 SYSTEM..48 MHZ..USB PORT WITH BOOTLOADER PROGRAMMER..32K FLASH MEMORY..2K RAM..256 BYTES EEPROM..TEMPERATURE SENSOR DS18B20..RELAY 127 VAC, 1 AMP..PLUG FOR EXTERNAL WALL TRANSFORMER..8 LEDS..4 MICROSWITCHES..SERIAL PORT RS-232..LCD AND KEYPAD PORTS..PROFESSIONAL DEVELOPMENT SOFTWARE, INCLUDES MPLAB IDE..C18 COMPILER..PROGRAMMING SOFTWARE BOLT V.1.0.1..............";
char web[20];
int a=0,b=0;

void main(void)
{

init_bolt();
InitLCD();
ClearScreen();

malla:
b=b+1;
for(a=0;a<16;a++)		//CARGA MENSAJE DE BUFFER PRINCIPAL
{web[a]=wav[a+b];}

GotoXY(0,0);			//ESCRIBE EN RENGLON 0, 8 CARACTERES
for(a=0;a<8;a++)
{PutLCD(web[a]);}

GotoXY(1,0);			//ESCRIBE EN RENGLON 1, 8 CARACTERES
for(a=8;a<16;a++)
{PutLCD(web[a]);}

delay_ms(275);
if(wav[b+16]==0)b=0;
goto malla;
} 